Apache Tomcat 7.0.42

## org.apache.naming
Class NameParserImpl

    java.lang.Object
      org.apache.naming.NameParserImpl

All Implemented Interfaces:
  NameParser

    public class NameParserImpl

extends Object
implements NameParser

Parses names.

Version:
  $Id: NameParserImpl.java 1078850 2011-03-07 16:46:45Z markt $
Author:
  Remy Maucherat

Constructor Summary
`NameParserImpl()`

Method Summary
`Name` `parse(String name)` Parses a name into its components.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameParserImpl

    public NameParserImpl()

Method Detail

### parse

    public Name parse(String name)
               throws NamingException

  Parses a name into its components.

  Specified by:
    `parse` in interface `NameParser`
  Parameters:
    `name` - The non-null string name to parse
  Returns:
    A non-null parsed form of the name using the naming convention of this parser.
  Throws:
    `NamingException`

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.